/** stylesheet used by the iAnnotate part of the application
 */
body {
    min-height:100vh;
    display:flex;
    flex-direction: column;
}

body.welcome {
    background-image: url("../images/iannotate-background-grey-lSyg60x.png");
    background-repeat:repeat;
}

div.main {
    flex-grow:1;
}

div.error {
    background-color:white;
    font-weight: bold;
    color:red;
    margin:10px;
}
div#navbarSupportedContent{
   border-bottom: solid 2px lightgray;
    padding:4px;
    background:black;
}
div#navbarSupportedContent  .nav-link {
    color:white;
}

div#idProviderPanel{
    margin-bottom:10px;
    margin-top:10px;
}
div.hintText {
    border-left: solid 1px grey;
}
span#uname {
    color:white;
}

div#linkedInLoginPanel {
    margin-top:10px;
}

div.search-results {
    height: 400px;
    overflow: scroll;
    border: solid 1px lightgrey;
}

 div.search-results ul {
     font-size:small;
 }

 div#thumbnail {
     width: 250px;
     height:250px;
     background-color: lightgray;
 }

 div#annotateControls {
     text-align:center;
     padding-top:40px;
     width:150px;
     height:150px;
 }

 table#imageProperties {
     width:350px;
     font-size:small;
     margin-top:5px;
     border: solid 1px black;
 }
table#imageProperties th {
    font-weight: bold;
    background-color:lightgrey;
}

div#paginationButtons {
    text-align:center;
    padding-top:10px;
}

table#imageProperties td {
    padding:5px;
}

table#imageProperties tr {
    border-bottom: lightgray 1px solid;
}

table#imageProperties tr td:first-child {
     font-weight:bold;
 }

div.cellContent {
    max-height: 200px;
    overflow-y: scroll;
}


 tr.hidden {
     display:none;
 }

 div.imageControls {
     padding-left:4px;
     padding-left:4px;
     margin:10px;
     background:gainsboro;
 }

 div#svgInfo {
     font-size:small;
     float:right;
     margin-top:10px;
     margin-right:4px;
 }


rect#stamp {
    stroke-width:5px;
    stroke-dasharray: 10px 10px;
    stroke: white;
}
line#stamp {
    stroke-width:5px;
}

#stamp.yellow{ stroke:yellow }
#stamp.red{ stroke:red }
#stamp.black{ stroke:black }

#arrowHead {
    fill:yellow;
}
#arrowHead.yellow { fill:yellow; }
#arrowHead.red { fill:red; }
#arrowHead.black { fill:black; }

div#regionOfInterestInfo {
    font-size:small;
    text-align:left;
    margin:5px;

}
 /** Div enclosing the region of interest image used to scroll during zoom in/out **/
div#regionOfInterestContainer {
    width:500px;
    height:500px;
    background-color:lightgray;
    overflow:scroll;
    margin:auto;
}

#image {
    border: 1px solid black;
}

/** Div with the background full res image **/
div#regionOfInterest {
    width:450px;
    height:450px;
    overflow:clip;
    border: 1px solid black;
    background-repeat: no-repeat;
}

div#imageMetaInfo {
    font-size:small;
    max-height:450px;
    overflow:scroll;
}

.footer-container {
    font-size:small;
    color:white;
    background-color:black;
    padding:4px;
    width:100%;
}
div.fixed-width {
    width:200px;
}
/* from bootstrap example */
.dropdown-toggle { outline: 0; }

.nav-flush .nav-link {
    border-radius: 0;
}

.btn-toggle {
    display: inline-flex;
    align-items: center;
    padding: .25rem .5rem;
    font-weight: 600;
    color: rgba(0, 0, 0, .65);
    background-color: transparent;
    border: 0;
}
.btn-toggle:hover,
.btn-toggle:focus {
    color: rgba(0, 0, 0, .85);
    background-color: #d2f4ea;
}

.btn-toggle::before {
    width: 1.25em;
    line-height: 0;
    content: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='rgba%280,0,0,.5%29' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M5 14l6-6-6-6'/%3e%3c/svg%3e");
    transition: transform .35s ease;
    transform-origin: .5em 50%;
}

.btn-toggle[aria-expanded="true"] {
    color: rgba(0, 0, 0, .85);
}
.btn-toggle[aria-expanded="true"]::before {
    transform: rotate(90deg);
}

.btn-toggle-nav a {
    display: inline-flex;
    padding: .1875rem .5rem;
    margin-top: .125rem;
    margin-left: 1.25rem;
    text-decoration: none;
}
.btn-toggle-nav a:hover,
.btn-toggle-nav a:focus {
    background-color: #d2f4ea;
}

.scrollarea {
    overflow-y: auto;
}

/* end bootstrap example */

/* Narrative and SVG elements */
.tools {
    height:50px;
    width:100%;
    background-color:darkblue;
    color:white;
}
#errorPanel {
    background-color: white;
    color:red;
    font-weight:bold;
    padding:3px;
}

#narrativeContent {
    font-size:small;
    background-color:white;
    color:grey;
    padding:3px;
}



 /* media query-dependent settings   */

/** annotate elements **/
@media screen and (min-width: 360px) {
    div#imageContainer {
     /*   width: 500px;  */
        height: 500px;
        overflow: scroll;
        background:lightgray;
    }
    div#roiArea {
        overflow: clip;
     /*   background:lightblue; */

     /*   float:left;  */
    }

    /** astro history elements **/
}

@media screen and (max-width: 358px) {

    /** annotate elements **/
    div#imageContainer {
        width: 350px;
        height: 350px;
        overflow: scroll;
        border: 1px solid blue;
    }
    div#zoomContainer {
        width: 350px;
        height: 350px;
        overflow: scroll;
        border: 1px solid red;
    }

    /** astronomy-history elements */


}



